summaryrefslogtreecommitdiffstats
path: root/bin/ptxdist
diff options
context:
space:
mode:
authorSascha Hauer <s.hauer@pengutronix.de>2014-02-26 15:13:15 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2014-03-06 09:19:08 +0100
commit57bbd590d6c1f854dc09900ecfbf90d7c414b91e (patch)
tree4f4c1c006cc7ea2d36ba08df56ffcd0de1a0fa25 /bin/ptxdist
parent5bdc666fcddf1a5deb15e15122fccfcaa628c2d5 (diff)
downloadptxdist-57bbd590d6c1f854dc09900ecfbf90d7c414b91e.tar.gz
ptxdist-57bbd590d6c1f854dc09900ecfbf90d7c414b91e.tar.xz
ptxdist: Add list-packages command
This adds a command to list all packages currently selected. ptxdist gurus can use 'ptxdist print PACKAGES' for the same purpose, this command is for the people who can't remember the command. As a bonus list-packages prints one package per line and sorts them alphabetically. Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de> Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'bin/ptxdist')
-rwxr-xr-xbin/ptxdist8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index c2a962450..176af2dbf 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -906,6 +906,7 @@ Misc:
nfsroot run a userspace NFS server and export the nfsroot
print <var> print the contents of a variable, in the way
it is known by "make"
+ list-packages print a list of all selected packages
bash enter a ptxdist environment bash shell
bash <cmd> [args...] execute <cmd> in ptxdist environment
export_src <target dir> export all source archives needed for this
@@ -1811,6 +1812,13 @@ EOF
ptxd_make_log "${images[@]}"
exit
;;
+ list-packages)
+ check_config &&
+ check_deps || return
+ for i in $(ptxd_make "print-PACKAGES"); do
+ echo $i
+ done | sort
+ ;;
make)
check_premake_compiler &&
ptxd_make_log "${@}"